Labs - List
제공된 청구 계정 이름, 청구 프로필 이름 및 청구서 섹션 이름과 연결된 특정 랩에 대한 세부 정보를 가져옵니다.
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs?api-version=2021-12-01-preview
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs?includeBudget={includeBudget}&api-version=2021-12-01-preview
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
billing
|
path | True |
string |
청구 계정을 고유하게 식별하는 ID입니다. |
|
billing
|
path | True |
string |
청구 프로필을 고유하게 식별하는 ID입니다. |
|
invoice
|
path | True |
string |
청구서 섹션을 고유하게 식별하는 ID입니다. |
|
api-version
|
query | True |
string |
클라이언트 요청과 함께 사용할 API의 버전입니다. 현재 버전은 2021-12-01-preview입니다. |
|
include
|
query |
boolean |
예산 정보를 포함하는 데 사용할 수 있습니다. |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
랩 세부 정보입니다. |
|
| Other Status Codes |
작업에 성공하지 못한 경우 오류를 설명합니다. |
보안
azure_auth
Azure Active Directory OAuth2 흐름.
형식:
oauth2
Flow:
implicit
권한 부여 URL:
https://login.microsoftonline.com/common/oauth2/authorize
범위
| Name | Description |
|---|---|
| user_impersonation | 사용자 계정 가장 |
예제
|
Lab |
|
Lab |
LabListWithInvoiceSectionName
샘플 요청
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs?includeBudget=True&api-version=2021-12-01-preview
샘플 응답
{
"value": [
{
"id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs/default",
"name": "default",
"type": "Microsoft.Education/Labs",
"properties": {
"displayName": "example lab",
"budgetPerStudent": {
"currency": "USD",
"value": 100
},
"description": "example lab description",
"expirationDate": "2021-12-09T21:25:56.838Z",
"effectiveDate": "2021-11-09T21:25:56.838Z",
"status": "Active",
"totalBudget": {
"currency": "USD",
"value": 500
},
"totalAllocatedBudget": {
"currency": "USD",
"value": 500
}
}
}
]
}
LabListWithInvoiceSectionNameIncludeBudget
샘플 요청
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs?includeBudget=True&api-version=2021-12-01-preview
샘플 응답
{
"value": [
{
"id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs/default",
"name": "default",
"type": "Microsoft.Education/Labs",
"properties": {
"displayName": "example lab",
"budgetPerStudent": {
"currency": "USD",
"value": 100
},
"description": "example lab description",
"expirationDate": "2021-12-09T21:25:56.838Z",
"effectiveDate": "2021-11-09T21:25:56.838Z",
"status": "Active",
"totalBudget": {
"currency": "USD",
"value": 500
},
"totalAllocatedBudget": {
"currency": "USD",
"value": 500
}
}
}
]
}
정의
| Name | Description |
|---|---|
| Amount |
금액입니다. |
|
created |
리소스를 만든 ID의 형식입니다. |
|
Error |
오류 응답의 형식을 설명합니다. |
|
Error |
오류 응답은 서비스에서 들어오는 요청을 처리할 수 없음을 나타냅니다. 그 이유는 오류 메시지에 제공됩니다. |
|
Lab |
랩 세부 정보입니다. |
|
Lab |
랩 목록입니다. |
|
Lab |
이 랩의 상태 |
|
system |
리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다. |
Amount
금액입니다.
| Name | 형식 | Description |
|---|---|---|
| currency |
string |
값에 사용되는 통화의 형식입니다. |
| value |
number |
금액 값입니다. |
createdByType
리소스를 만든 ID의 형식입니다.
| 값 | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorResponse
오류 응답의 형식을 설명합니다.
| Name | 형식 | Description |
|---|---|---|
| code |
string |
오류 코드 |
| message |
string |
작업이 실패한 이유를 나타내는 오류 메시지입니다. |
ErrorResponseBody
오류 응답은 서비스에서 들어오는 요청을 처리할 수 없음을 나타냅니다. 그 이유는 오류 메시지에 제공됩니다.
| Name | 형식 | Description |
|---|---|---|
| error |
오류의 세부 정보입니다. |
LabDetails
랩 세부 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| id |
string |
리소스에 대한 정규화된 리소스 ID입니다. 예 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
리소스의 이름 |
| properties.budgetPerStudent |
이 랩의 각 학생에 대한 기본 통화 한도 |
|
| properties.description |
string |
이 랩에 대한 자세한 설명 |
| properties.displayName |
string |
랩 표시 이름 |
| properties.effectiveDate |
string (date-time) |
랩 만들기 날짜 |
| properties.expirationDate |
string (date-time) |
이 랩의 각 학생에 대한 기본 만료 날짜 |
| properties.invitationCode |
string |
교환 가능한 랩에 대한 초대 코드 |
| properties.maxStudentCount |
number |
랩에 허용될 수 있는 총 학생 수입니다. |
| properties.status |
이 랩의 상태 |
|
| properties.totalAllocatedBudget.currency |
string |
값에 사용되는 통화의 형식입니다. |
| properties.totalAllocatedBudget.value |
number |
금액 값입니다. |
| properties.totalBudget.currency |
string |
값에 사용되는 통화의 형식입니다. |
| properties.totalBudget.value |
number |
금액 값입니다. |
| systemData |
createdBy 및 modifiedBy 정보가 포함된 Azure Resource Manager 메타데이터입니다. |
|
| type |
string |
리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts" |
LabListResult
랩 목록입니다.
| Name | 형식 | Description |
|---|---|---|
| nextLink |
string |
결과의 다음 페이지에 대한 링크(URL)입니다. |
| value |
랩 목록입니다. |
LabStatus
이 랩의 상태
| 값 | Description |
|---|---|
| Active | |
| Deleted | |
| Pending |
systemData
리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.
| Name | 형식 | Description |
|---|---|---|
| createdAt |
string (date-time) |
리소스 만들기의 타임스탬프(UTC)입니다. |
| createdBy |
string |
리소스를 만든 ID입니다. |
| createdByType |
리소스를 만든 ID의 형식입니다. |
|
| lastModifiedAt |
string (date-time) |
리소스 마지막 수정의 타임스탬프(UTC) |
| lastModifiedBy |
string |
리소스를 마지막으로 수정한 ID입니다. |
| lastModifiedByType |
리소스를 마지막으로 수정한 ID의 형식입니다. |